# Class Sheet

java.lang.Object
org.jmol.modelsetbio.ProteinStructure
org.jmol.modelsetbio.Sheet

All Implemented Interfaces:
  `Structure`

public class Sheet extends ProteinStructure

## Field Summary

### Fields inherited from class ProteinStructure

`apolymer, axisA, axisB, axisUnitVector, monomerIndexFirst, nRes, vectorProjection`

## Method Summary

Modifier and Type
Method
Description
`void`
`calcAxis()`
`void`
`setBox(float w, float h, P3 pt, V3 vW, V3 vH, P3 ptC, float scale)`

### Methods inherited from class ProteinStructure

`findMonomer, getAxisEndPoint, getAxisStartPoint, getIndex, getSegments, incrementID, isWithin, setAtomBits, setAtomBitsAndClear, setupPS, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### calcAxis

public void calcAxis()

Overrides:
  `calcAxis` in class `ProteinStructure`

### setBox

public void setBox(float w, float h, P3 pt, V3 vW, V3 vH, P3 ptC, float scale)